cURL
curl --request GET \
--url https://commet.co/api/v1/plan-groups/{id} \
--header 'x-api-key: <api-key>'import { Commet } from "@commet/node";
const commet = new Commet({ apiKey: "ck_xxx" });
const planGroupDetail = await commet.planGroups.get({ id: "plg_xxx" });from commet import Commet
commet = Commet("ck_xxx")
plan_group_detail = commet.plan_groups.get("plg_xxx")client, err := commet.New("ck_xxx")
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
planGroupDetail, err := client.PlanGroups.Get(ctx, "plg_xxx")
if err != nil {
log.Fatal(err)
}import co.commet.Commet;
var commet = Commet.builder().apiKey("ck_xxx").build();
var planGroupDetail = commet.planGroups().get("plg_xxx");use Commet\Commet;
$commet = new Commet('ck_xxx');
$planGroupDetail = $commet->planGroups->get(id: 'plg_xxx');{
"id": "group_1a2b3c4d",
"name": "API plans",
"description": "Plans for the API",
"isPublic": true,
"createdAt": "2026-09-07T12:00:00.000Z",
"updatedAt": "2026-09-07T12:00:00.000Z",
"object": "plan_group",
"livemode": false,
"plans": [
{
"id": "plan_1a2b3c4d",
"name": "Pro",
"sortOrder": 0
}
]
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "The request contains an invalid parameter.",
"doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"
}
}{
"error": {
"type": "authentication_error",
"code": "unauthorized",
"message": "A valid API key is required.",
"doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"
}
}{
"error": {
"type": "authentication_error",
"code": "forbidden",
"message": "You do not have permission to perform this operation.",
"doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"
}
}{
"error": {
"type": "not_found_error",
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/not_found.md"
}
}{
"error": {
"type": "rate_limit_error",
"code": "rate_limited",
"message": "Too many requests. Retry after the interval specified in the Retry-After header.",
"doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"
}
}{
"error": {
"type": "internal_error",
"code": "internal_error",
"message": "An unexpected error occurred while processing the request.",
"doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"
}
}Plan Groups
Get plan group
Retrieve a plan group by ID, including its plans ordered by sortOrder.
GET
/
plan-groups
/
{id}
cURL
curl --request GET \
--url https://commet.co/api/v1/plan-groups/{id} \
--header 'x-api-key: <api-key>'import { Commet } from "@commet/node";
const commet = new Commet({ apiKey: "ck_xxx" });
const planGroupDetail = await commet.planGroups.get({ id: "plg_xxx" });from commet import Commet
commet = Commet("ck_xxx")
plan_group_detail = commet.plan_groups.get("plg_xxx")client, err := commet.New("ck_xxx")
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
planGroupDetail, err := client.PlanGroups.Get(ctx, "plg_xxx")
if err != nil {
log.Fatal(err)
}import co.commet.Commet;
var commet = Commet.builder().apiKey("ck_xxx").build();
var planGroupDetail = commet.planGroups().get("plg_xxx");use Commet\Commet;
$commet = new Commet('ck_xxx');
$planGroupDetail = $commet->planGroups->get(id: 'plg_xxx');{
"id": "group_1a2b3c4d",
"name": "API plans",
"description": "Plans for the API",
"isPublic": true,
"createdAt": "2026-09-07T12:00:00.000Z",
"updatedAt": "2026-09-07T12:00:00.000Z",
"object": "plan_group",
"livemode": false,
"plans": [
{
"id": "plan_1a2b3c4d",
"name": "Pro",
"sortOrder": 0
}
]
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "The request contains an invalid parameter.",
"doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"
}
}{
"error": {
"type": "authentication_error",
"code": "unauthorized",
"message": "A valid API key is required.",
"doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"
}
}{
"error": {
"type": "authentication_error",
"code": "forbidden",
"message": "You do not have permission to perform this operation.",
"doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"
}
}{
"error": {
"type": "not_found_error",
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/not_found.md"
}
}{
"error": {
"type": "rate_limit_error",
"code": "rate_limited",
"message": "Too many requests. Retry after the interval specified in the Retry-After header.",
"doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"
}
}{
"error": {
"type": "internal_error",
"code": "internal_error",
"message": "An unexpected error occurred while processing the request.",
"doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"
}
}Retrieve a plan group by ID, including its plans ordered by sortOrder.
Authorizations
Headers
API version used by this reference. Send this header to select this contract explicitly.
Path Parameters
Response
Success
Was this page helpful?